Bug 164655 - file saving dialog doesn't remember saving options
file saving dialog doesn't remember saving options
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 14:45 EDT by Grzegorz Staniak
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5.0.9-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 11:34:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grzegorz Staniak 2005-07-29 14:45:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When I save a file, expand the saving dialog (I think it's "Browse other folders" or something in English) and choose "web page, HTML only", the choice is not remembered next time when I save another file. It works without problems with the Firefox downloaded from mozilla.org.

Another annoying thing is that the file saving dialog doesn't remember its position (but this may be GNOMEs fault in this case); it turns out that in my screen configuration, when I expand the save dialog, the "Save" button is off screen - so I have to move the dialog's window. Together, the two glitches make the Fedora FF suck - it doesn't remeber save options, so instead of "Ctrl-S, Enter" I have to click the expand button, move the dialog so that it is visible on screen, then click "Save", every time I'm saving something (I rarely save webpage content).

Version-Release number of selected component (if applicable):
firefox-1.0.6-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. save a file, choosing "web page, HTML only"
2. saving another file, check the options - it's still "web page, complete"
  

Actual Results:  The option was used for the currently saved page, then switched back to "web page, complete" when saving next file.

Expected Results:  The choice ("web page, HTML only") should have been remembered by the browser and used when saving another file.

Additional info:

It shows on a pretty vanilla FC4, regularly updated. Version info:

Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6
Comment 1 Sami Farin 2006-05-14 04:58:12 EDT
In Firefox 1.5.0.3-2,
"Save in folder" directory is not remembered and I have to browse to correct
folder each time I save something, wasting half a minute while firefox does
something CPU-intensive while reading directory.

browser.download.dir browser.download.downloadDir and browser.download.lastDir
contain /home/moz/dl , but firefox wants to save to /home/moz every time.
Comment 2 Christian Iseli 2007-01-22 07:00:00 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Sami Farin 2007-01-22 07:11:13 EST
1.5.0.9-1.fc6 seems to work OK.
Comment 4 Grzegorz Staniak 2007-01-22 09:16:57 EST
For FF 1.5.0.9 on FC6 with all updates (Mozilla/5.0 (X11; U; Linux i686; pl-PL;
rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text)
everything works just fine (apart from the position of the saving dialog itself,
which still isn't remembered, but that's a GNOME issue). 

Note You need to log in before you can comment on or make changes to this bug.